# Asterisk Project : Asterisk 12 Application_GosubIf

Added by wikibot , edited by wikibot on Aug 29, 2013

# GosubIf()

### Synopsis

Conditionally jump to label, saving return address.

### Description

If the condition is true, then jump to labeliftrue. If false, jumps to labeliffalse, if specified. In either case, a jump saves the return point in the dialplan, to be returned to with a Return.

### Syntax

    GosubIf(conditionlabeliftrue:labeliffalse)

##### Arguments

- `condition`
- `destination`
  - `labeliftrue` - Continue at labeliftrue if the condition is true. Takes the form similar to Goto() of [[context,]extension,]priority.
    - `arg1`
    - `argN`
  - `labeliffalse` - Continue at labeliffalse if the condition is false. Takes the form similar to Goto() of [[context,]extension,]priority.
    - `arg1`
    - `argN`

### See Also

- Asterisk 12 Application_Gosub
- Asterisk 12 Application_Return
- Asterisk 12 Application_MacroIf
- Asterisk 12 Function_IF
- Asterisk 12 Application_GotoIf
- Asterisk 12 Application_Goto

### Import Version

This documentation was imported from Asterisk Version Unknown